/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.form.valueobject;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PDF フォーム・ライン・バリューオブジェクト。
 */
@XmlRootElement
public class BlancoPdfFormLineDef {
    /**
     * PDF unit。72 PDF unit = 1 インチ。
     *
     * フィールド: [startX]。
     * デフォルト: [-1]。
     */
    private float fStartX = -1;

    /**
     * PDF unit。72 PDF unit = 1 インチ。
     *
     * フィールド: [startY]。
     * デフォルト: [-1]。
     */
    private float fStartY = -1;

    /**
     * フィールド: [endX]。
     * デフォルト: [-1]。
     */
    private float fEndX = -1;

    /**
     * フィールド: [endY]。
     * デフォルト: [-1]。
     */
    private float fEndY = -1;

    /**
     * フィールド [startX] の値を設定します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     *
     * @param argStartX フィールド[startX]に設定する値。
     */
    public void setStartX(final float argStartX) {
        fStartX = argStartX;
    }

    /**
     * フィールド [startX] の値を取得します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[startX]から取得した値。
     */
    public float getStartX() {
        return fStartX;
    }

    /**
     * フィールド [startY] の値を設定します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     *
     * @param argStartY フィールド[startY]に設定する値。
     */
    public void setStartY(final float argStartY) {
        fStartY = argStartY;
    }

    /**
     * フィールド [startY] の値を取得します。
     *
     * フィールドの説明: [PDF unit。72 PDF unit = 1 インチ。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[startY]から取得した値。
     */
    public float getStartY() {
        return fStartY;
    }

    /**
     * フィールド [endX] の値を設定します。
     *
     * @param argEndX フィールド[endX]に設定する値。
     */
    public void setEndX(final float argEndX) {
        fEndX = argEndX;
    }

    /**
     * フィールド [endX] の値を取得します。
     *
     * デフォルト: [-1]。
     *
     * @return フィールド[endX]から取得した値。
     */
    public float getEndX() {
        return fEndX;
    }

    /**
     * フィールド [endY] の値を設定します。
     *
     * @param argEndY フィールド[endY]に設定する値。
     */
    public void setEndY(final float argEndY) {
        fEndY = argEndY;
    }

    /**
     * フィールド [endY] の値を取得します。
     *
     * デフォルト: [-1]。
     *
     * @return フィールド[endY]から取得した値。
     */
    public float getEndY() {
        return fEndY;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.form.valueobject.BlancoPdfFormLineDef[");
        buf.append("startX=" + fStartX);
        buf.append(",startY=" + fStartY);
        buf.append(",endX=" + fEndX);
        buf.append(",endY=" + fEndY);
        buf.append("]");
        return buf.toString();
    }
}
